import * as outputs from "../types/output";
/**
 * Use rdsIam instead of password authentication (see:
 * https://docs.aws.amazon.com/AmazonRDS/latest/UserGuide/UsingWithRDS.IAMDBAuth.html)
 */
export declare const awsRdsIamAuth: boolean | undefined;
/**
 * AWS profile to use for IAM auth
 */
export declare const awsRdsIamProfile: string | undefined;
/**
 * AWS IAM role to assume for IAM auth
 */
export declare const awsRdsIamProviderRoleArn: string | undefined;
/**
 * AWS region to use for IAM auth
 */
export declare const awsRdsIamRegion: string | undefined;
/**
 * Use MS Azure identity OAuth token (see:
 * https://learn.microsoft.com/en-us/azure/postgresql/flexible-server/how-to-configure-sign-in-azure-ad-authentication)
 */
export declare const azureIdentityAuth: boolean | undefined;
export declare const azureTenantId: string | undefined;
/**
 * SSL client certificate if required by the database.
 */
export declare const clientcert: outputs.config.Clientcert | undefined;
/**
 * Maximum wait for connection, in seconds. Zero or not specified means wait indefinitely.
 */
export declare const connectTimeout: number;
/**
 * The name of the database to connect to in order to conenct to (defaults to `postgres`).
 */
export declare const database: string | undefined;
/**
 * Database username associated to the connected user (for user name maps)
 */
export declare const databaseUsername: string | undefined;
/**
 * Specify the expected version of PostgreSQL.
 */
export declare const expectedVersion: string | undefined;
/**
 * Service account to impersonate when using GCP IAM authentication.
 */
export declare const gcpIamImpersonateServiceAccount: string | undefined;
/**
 * Name of PostgreSQL server address to connect to
 */
export declare const host: string | undefined;
/**
 * Maximum number of connections to establish to the database. Zero means unlimited.
 */
export declare const maxConnections: number | undefined;
/**
 * Password to be used if the PostgreSQL server demands password authentication
 */
export declare const password: string | undefined;
/**
 * The PostgreSQL port number to connect to at the server host, or socket file name extension for Unix-domain connections
 */
export declare const port: number | undefined;
export declare const scheme: string | undefined;
export declare const sslMode: string | undefined;
/**
 * This option determines whether or with what priority a secure SSL TCP/IP connection will be negotiated with the
 * PostgreSQL server
 */
export declare const sslmode: string | undefined;
/**
 * The SSL server root certificate file path. The file must contain PEM encoded data.
 */
export declare const sslrootcert: string | undefined;
/**
 * Specify if the user to connect as is a Postgres superuser or not.If not, some feature might be disabled (e.g.:
 * Refreshing state password from Postgres)
 */
export declare const superuser: boolean | undefined;
/**
 * PostgreSQL user name to connect as
 */
export declare const username: string | undefined;
